Bug 443404 - X logins do not update utmp
Summary: X logins do not update utmp
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-xinit   
(Show other bugs)
Version: 5.1
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Søren Sandmann Pedersen
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-21 12:35 UTC by Jim Perrin
Modified: 2014-06-18 09:10 UTC (History)
2 users (show)

Fixed In Version: 5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-17 22:06:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Perrin 2008-04-21 12:35:50 UTC
Description of problem:
Logging in via gdm/kdm does not update utmp to show a login.

Version-Release number of selected component (if applicable):
xorg-x11-xinit-1.0.2-13.el5.i386

How reproducible:
Always

Steps to Reproduce:
1. Boot system to runlevel 5
2. Log in (in my case via the default gdm)
3. Log in via console as another user. 
4. run 'who' or 'users' from the user logged in at the console. Only the user
logged in via ssh or console shows up. The user who logs in via X does not. 
5. The user logged in via X will only show up if they open a terminal window. 
  
Actual results:
The user logged in via X does not show up unless they open up a terminal window.
Processes show up in top and ps for this user, but 'w' and 'users' do not show
them as logged in. This can cause unexpected issues when checking a system for
users before performing maintenance, as well as just general security of knowing
who is on the system. 

Expected results:
User logs in, and user shows up as logged in. 

Additional info:
Is there any reason to not add some sessreg bits to the default X login scripts
so that users logging in via the gui are shown as logged in?

Comment 1 Matěj Cepl 2008-05-03 12:55:23 UTC
Can we get /var/log/messages attached to this bug, please?

Comment 2 Matěj Cepl 2008-06-12 14:11:08 UTC
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Comment 3 Jim Perrin 2008-06-12 14:29:28 UTC
From /var/log/messages during GUI login:

Jun 12 10:28:59 gordnbdotllc006 gconfd (jperrin-8391): starting (version
2.14.0), pid 8391 user 'jperrin'
Jun 12 10:28:59 gordnbdotllc006 gconfd (jperrin-8391): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only configuration
source at position 0
Jun 12 10:28:59 gordnbdotllc006 gconfd (jperrin-8391): Resolved address
"xml:readwrite:/home/jperrin/.gconf" to a writable configuration source at
position 1
Jun 12 10:28:59 gordnbdotllc006 gconfd (jperrin-8391): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration source
at position 2
Jun 12 10:29:00 gordnbdotllc006 hcid[2529]: Default passkey agent (:1.15,
/org/bluez/applet) registered
Jun 12 10:29:00 gordnbdotllc006 pcscd: winscard.c:257:SCardConnect() Card Not
Inserted
Jun 12 10:29:01 gordnbdotllc006 last message repeated 4 times
Jun 12 10:29:02 gordnbdotllc006 gconfd (jperrin-8391): Resolved address
"xml:readwrite:/home/jperrin/.gconf" to a writable configuration source at
position 0

Now that a gui login is established, the ONLY user visible via 'who' is the user
logged in via ssh

[root@gordnbdotllc006 ~]# w
 10:30:38 up 22:20,  1 user,  load average: 0.21, 0.26, 0.15
USER     TTY      FROM              LOGIN@   IDLE   JCPU   PCPU WHAT
jperrin  pts/1    gordwkdotllc003. 10:22    0.00s  0.25s  0.16s sshd: jperrin [priv]


From here, opening a terminal window (gnome-terminal) in the gui results in two
users being displayed as logged into the system:

[root@gordnbdotllc006 ~]# w
 10:32:00 up 22:21,  2 users,  load average: 0.15, 0.23, 0.15
USER     TTY      FROM              LOGIN@   IDLE   JCPU   PCPU WHAT
jperrin  pts/1    gordwkdotllc003. 10:22    0.00s  0.25s  0.16s sshd: jperrin [priv]
jperrin  pts/2    :0.0             10:31    3.00s  0.12s  0.12s bash







Comment 4 Matěj Cepl 2008-06-15 19:22:21 UTC
Sorry, we would probably really need whole /var/log/messages. Thank you.

Comment 5 Mike McGrath 2008-06-16 22:00:36 UTC
I'm seeing this as well.

Comment 6 Jim Perrin 2008-06-16 22:21:51 UTC
I'm a little confused what else you're expecting from /var/log/messages. What
was posted was the entire contents of the file during the entire process to
duplicate. 

The only bits I didn't include were the prior 5 days worth of usual system output. 

Given the ease with which this can be reproduced and the types of logs gathered
by /var/log/messages,  I'm not sure what good that log would be here. 

Comment 7 Michal Babej 2008-06-17 08:58:41 UTC
FYI, this bug has been fixed in RHEL 5.2, in these errata:
http://rhn.redhat.com/errata/RHBA-2008-0398.html
http://rhn.redhat.com/errata/RHBA-2008-0373.html

Comment 8 Matěj Cepl 2008-06-17 11:08:58 UTC
Reporter, could you please upgrade and confirm comment #7, please?

Thank you

Comment 9 Matěj Cepl 2008-07-17 14:04:11 UTC
Reporter, could you please reply to the previous question? Thank you.

Comment 10 Jim Perrin 2008-07-17 14:21:03 UTC
Sorry for the delay. 

Works fine in 5 update 2. Bug can be closed as resolved. 


Note You need to log in before you can comment on or make changes to this bug.